from langchain_core.pydantic_v1 import BaseModel, Field
from typing import List

class RedBook(BaseModel):
    """
    レッドブック（RedBook）の投稿データモデル
    """
    titles: List[str] = Field(description="レッドブックの5つのタイトル", min_items=5, max_items=5)
    content: str = Field(description="レッドブックの本文内容")
